Using the µVision Socket Interface: UVSOCK_CMD Struct Reference

| Using the µVision Socket Interface Application Note 198 Control and monitor µVision via the built-in TCP/IP interface

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
UVSOCK_CMD Struct Reference
Structs

## Data Fields
UINT | m_nTotalLen
| Total message length (bytes) More...
UV_OPERATION | m_eCmd
| Command code. More...
UINT | m_nBufLen
| Length of Data Section (bytes) More...
xU64 | cycles
| Cycle value (Simulation mode only) More...
double | tStamp
| time-stamp (Simulation mode only) More...
UINT | m_Id
| Reserved. More...
UVSOCK_CMD_DATA | data
| Data Section (Command code dependent data) More...

## Description

UVSOCK message format

Every UVSOCK message has this format. Each message contains a 32-byte header, and a variable length data section. The total length of the message must not exceed SOCK_NDATA bytes.

Header Section

m_nTotalLen represents the total length of the message in bytes. m_eCmd is the command code and represents the operation the message should perform. The Data Section format is dependent on the value of m_eCmd. m_nBufLen represents the length of the Data Section in bytes. cycles and tStamp represent the current execution time of the simulation at the point the message was sent. These values are only valid for response messages, and only when code is being debugged in the simulator. m_Id is reserved and is always 0.

Data Section

data contains the message data. It's format is dependent on m_eCmd and is described in UVSOCK_CMD_DATA.

## Field Documentation

xU64 UVSOCK_CMD::cycles

Cycle value (Simulation mode only)

UVSOCK_CMD_DATA UVSOCK_CMD::data

Data Section (Command code dependent data)

UV_OPERATION UVSOCK_CMD::m_eCmd

Command code.

UINT UVSOCK_CMD::m_Id

Reserved.

UINT UVSOCK_CMD::m_nBufLen

Length of Data Section (bytes)

UINT UVSOCK_CMD::m_nTotalLen

Total message length (bytes)

double UVSOCK_CMD::tStamp

time-stamp (Simulation mode only)